'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

exports['default'] = reduxForm;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('./actions');

var getDisplayName = function getDisplayName(Comp) {
  return Comp.displayName || Comp.name || 'Component';
};

/**
 * @param sliceName The key in the state corresponding to the data in this form
 * @param validate A validation function that takes all the data and returns all the errors
 */

function reduxForm(sliceName, validate) {
  return function (DecoratedComponent) {
    return (function (_Component) {
      _inherits(ReduxForm, _Component);

      function ReduxForm() {
        _classCallCheck(this, _ReduxForm);

        _Component.apply(this, arguments);
      }

      ReduxForm.prototype.render = function render() {
        var _props = this.props;
        var slice = _props.slice;
        var dispatch = _props.dispatch;

        var passableProps = _extends({}, this.props);
        delete passableProps.slice;
        delete passableProps.dispatch;
        var handleChange = function handleChange(name) {
          return function (event) {
            return dispatch(_actions.change(sliceName, name, event.target.value));
          };
        };
        return _react2['default'].createElement(DecoratedComponent, _extends({
          handleChange: handleChange,
          showAll: function () {
            return dispatch(_actions.showAll(sliceName));
          },
          reset: function () {
            return dispatch(_actions.reset(sliceName));
          },
          errors: validate(slice.data),
          data: slice.data
        }, passableProps)); // pass other props
      };

      _createClass(ReduxForm, null, [{
        key: 'displayName',
        value: 'ReduxForm(' + getDisplayName(DecoratedComponent) + ')',
        enumerable: true
      }, {
        key: 'DecoratedComponent',
        value: DecoratedComponent,
        enumerable: true
      }, {
        key: 'propTypes',
        value: {
          slice: _react.PropTypes.object,
          dispatch: _react.PropTypes.func.isRequired
        },
        enumerable: true
      }]);

      var _ReduxForm = ReduxForm;
      ReduxForm = _reactRedux.connect(function (state) {
        return {
          slice: state[sliceName]
        };
      })(ReduxForm) || ReduxForm;
      return ReduxForm;
    })(_react.Component);
  };
}

module.exports = exports['default'];